Page MenuHomePhabricator

Test/upload new cassandra 2.2.6 package (wmf3)
Closed, ResolvedPublic

Description

A new Debian package build of Cassandra 2.2.6 has been created, see:

cassandra_2.2.6-wmf3.dsc
cassandra_2.2.6-wmf3.diff.gz
cassandra_2.2.6-wmf3_all.deb
cassandra-tools_2.2.6-wmf3_all.deb
cassandra_2.2.6-wmf3_amd64.changes
cassandra_2.2.6.orig.tar.gz

This package addresses the test invocation of the JVM added in CASSANDRA-11752 which results in startup blocking when the Prometheus exporter is enabled.

The debdiff output against wmf2:

https://gist.github.com/eevans/af4e8e8b1893bd00e9d1accece3ff65f (full)
https://gist.github.com/eevans/75138b10f1219b9788186de672d04774 (sans generated files)

Event Timeline

Eevans triaged this task as Medium priority.Mar 12 2018, 9:38 PM
Eevans created this task.
elukey moved this task from Backlog to In Progress on the User-Elukey board.Mar 19 2018, 7:34 AM

Creating the cassandra22 component in apt with https://gerrit.wikimedia.org/r/#/c/420059/

Mentioned in SAL (#wikimedia-operations) [2018-03-19T07:58:21Z] <elukey> manually installed cassandra-2.2.6-wmf3 on aqs1004 - T189529

Tried to (manually via dpkg -i) install cassandra 2.2.6-wmf3 on aqs1004:

elukey@aqs1004:~$ dpkg -l | grep cassandra
ii  cassandra                                2.2.6-wmf3                       all          distributed storage system for structured data
ii  cassandra-tools                          2.2.6-wmf3                       all          distributed storage system for structured data
ii  cassandra-tools-wmf                      1.0.1-1                          all          add-ons to make Wikimedia Cassandra operations easier

But the patch for /usr/sbin/cassandra seems not applied, the following snippet is still uncommeted:

# see CASSANDRA-7254
"$JAVA" -cp "$CLASSPATH" $JVM_OPTS 2>&1 | grep -q 'Error: Exception thrown by the agent : java.lang.NullPointerException'
if [ $? -ne "1" ]; then
    echo Unable to bind JMX, is Cassandra already running?
    exit 1;
fi

Mentioned in SAL (#wikimedia-operations) [2018-03-19T08:22:02Z] <elukey> revert previous state on aqs1004, the new pkg might need some more work - T189529

Tried to (manually via dpkg -i) install cassandra 2.2.6-wmf3 on aqs1004:

elukey@aqs1004:~$ dpkg -l | grep cassandra
ii  cassandra                                2.2.6-wmf3                       all          distributed storage system for structured data
ii  cassandra-tools                          2.2.6-wmf3                       all          distributed storage system for structured data
ii  cassandra-tools-wmf                      1.0.1-1                          all          add-ons to make Wikimedia Cassandra operations easier

But the patch for /usr/sbin/cassandra seems not applied, the following snippet is still uncommeted:

# see CASSANDRA-7254
"$JAVA" -cp "$CLASSPATH" $JVM_OPTS 2>&1 | grep -q 'Error: Exception thrown by the agent : java.lang.NullPointerException'
if [ $? -ne "1" ]; then
    echo Unable to bind JMX, is Cassandra already running?
    exit 1;
fi

I see the problem. The patch was never added to the list (so it wasn't applied). I'm sorry @elukey :(

I'll get it fixed.

Eevans updated the task description. (Show Details)Mar 21 2018, 11:56 PM

A new package that actually applies the patch within has been uploaded; Sorry for the wasted cycles!

Eevans updated the task description. (Show Details)Mar 21 2018, 11:57 PM

Thanks! When I try to push the .changes I get that I am missing orig.tar.gz:

root@install1002:/srv/wikimedia# reprepro -C component/cassandra22 --ignore=wrongdistribution include jessie-wikimedia ~elukey/cassandra/cassandra_2.2.6-wmf3_amd64.changes
.changes put in a distribution not listed within it!
Ignoring as --ignore=wrongdistribution given.
Unable to find pool/component/cassandra22/c/cassandra/cassandra_2.2.6.orig.tar.gz needed by cassandra_2.2.6-wmf3.dsc!
Perhaps you forgot to give dpkg-buildpackage the -sa option,
 or you could try --ignore=missingfile to guess possible files to use.
Deleting files just added to the pool but not used.
(to avoid use --keepunusednewfiles next time)
There have been errors!

This is probably my ignorance about debian build process, but are we missing the file or should I try the option to skip it?

Eevans updated the task description. (Show Details)Mar 22 2018, 2:56 PM

Thanks! When I try to push the .changes I get that I am missing orig.tar.gz:

root@install1002:/srv/wikimedia# reprepro -C component/cassandra22 --ignore=wrongdistribution include jessie-wikimedia ~elukey/cassandra/cassandra_2.2.6-wmf3_amd64.changes
.changes put in a distribution not listed within it!
Ignoring as --ignore=wrongdistribution given.
Unable to find pool/component/cassandra22/c/cassandra/cassandra_2.2.6.orig.tar.gz needed by cassandra_2.2.6-wmf3.dsc!
Perhaps you forgot to give dpkg-buildpackage the -sa option,
 or you could try --ignore=missingfile to guess possible files to use.
Deleting files just added to the pool but not used.
(to avoid use --keepunusednewfiles next time)
There have been errors!

This is probably my ignorance about debian build process, but are we missing the file or should I try the option to skip it?

It's in that same directory, (I added a link in the description): https://people.wikimedia.org/~eevans/debian/cassandra_2.2.6.orig.tar.gz

(I didn't call it out explicitly because the orig.tar.gz stays the same for every release of x.y.z)

Mentioned in SAL (#wikimedia-operations) [2018-03-23T10:36:10Z] <elukey> upload cassandra2.2.6-wmf3 to jessie/stretch-wikimedia -C component/cassandra22 - T189529

elukey closed this task as Resolved.Mar 27 2018, 9:50 AM

Deployed to the aqs cluster together with the jmx agent, as far as I can see all good! Thanks a lot @Eevans !